A curated list of amazing open source software you may have not heard of

Windows: Notepad++ the best notepad, fast n light, auto save, syntax highlight, plugins.

Linux: Notepadqq the closest thing to notepad++ for linux

2 Likes

k9s - curses-style terminal UI for Kubernetes management, vim-style keybinds.

GNU Stow - symlink manager, commonly used for managing dotfiles in a git repo.

makefile for managing stow components
SHELL := zsh -euo pipefail -c

RED := \033[0;31m
NC := \033[0m

assert-config:
	@x=""; if [ -z "$${conf+x}" ]; then \
		echo "missing variable for 'conf'" 1>&2; \
		exit 1; \
	fi

assert-stow_configs:
	@[ -f "$${HOME}/.zenv.d/stow.env" ] && source ~/.zenv.d/stow.env; \
	x=""; if [ -z "$${stow_configs+x}" ]; then \
		echo "missing environment for 'stow_configs'" 1>&2; \
		exit 1; \
	fi

adopt-config: assert-config
	@stow -v --adopt $${conf}; \
	[ -f "$${HOME}/.zenv.d/stow.env" ] && source ~/.zenv.d/stow.env; \
	x=""; if [ -z "$${stow_configs+x}" ]; then \
		echo "export stow_configs=${conf}" > ~/.zenv.d/stow.env; \
		echo "enabling config ${conf}"; \
		exit 0; \
	fi; \
	if echo "$${stow_configs}" | grep "$${conf}">/dev/null; then \
		echo "config already enabled"; \
		exit 0; \
	fi; \
	echo "enabling config ${conf}"; \
	echo "export stow_configs=$${stow_configs},$${conf}" > ~/.zenv.d/stow.env; \
	source ~/.zenv.d/stow.env



install-base:
	@mkdir ~/.zenv.d/
	@mkdir ~/.local/stow-run.d/ || true

install: assert-stow_configs
	@source ~/.zenv.d/stow.env; \
	for i in $$(echo $$stow_configs | sed "s/,/ /g"); do \
		echo "Stowing $$i"; \
		stow -S -v $$i; \
	done

uninstall: assert-stow_configs
	@source ~/.zenv.d/stow.env; \
	for i in $$(echo $$stow_configs | sed "s/,/ /g"); do \
		stow -v -D $$i; \
	done

update: assert-stow_configs
	@source ~/.zenv.d/stow.env; \
	for i in $$(echo $$stow_configs | sed "s/,/ /g"); do \
		echo "$$i"; \
		stow -R -v $$i; \
	done

add:
	@[ -f "$${HOME}/.zenv.d/stow.env" ] && source ~/.zenv.d/stow.env; \
	x=""; if [ -z "$${stow_configs+x}" ]; then \
		echo "export stow_configs=${conf}" > ~/.zenv.d/stow.env; \
		echo "enabling config ${conf}"; \
		stow -S -v $${conf}; \
		exit 0; \
	fi; \
	if echo "$${stow_configs}" | grep "$${conf}">/dev/null; then \
		echo "config already enabled"; \
		exit 0; \
	fi; \
	echo "enabling config ${conf}"; \
	echo "export stow_configs=$${stow_configs},$${conf}" > ~/.zenv.d/stow.env; \
	stow -v -S $${conf}; \
	source ~/.zenv.d/stow.env

delete: rm
remove: rm
rm: assert-config
	@[ -f "$${HOME}/.zenv.d/stow.env" ] && source ~/.zenv.d/stow.env; \
	if echo "$${stow_configs}" | grep "$${conf}">/dev/null; then \
		echo "disabling config ${conf}"; \
		echo "export stow_configs=$$(echo $${stow_configs} | sed -E "s/$${conf}[,]?//g")" > ~/.zenv.d/stow.env; \
		echo "destowing..."; \
		stow -D $${conf}; \
		exit 0; \
	fi; \
	echo "config already disabled"; \

enabled: assert-stow_configs
	@[ -f "$${HOME}/.zenv.d/stow.env" ] && source ~/.zenv.d/stow.env; \
	echo "enabled: "; \
	for config in $$(echo $$stow_configs | sed "s/,/ /g"); do \
		echo " - $${config}"; \
	done;

configure: assert-stow_configs
	@[ -f "$${HOME}/.zenv.d/stow.env" ] && source ~/.zenv.d/stow.env; \
	echo "running configuration scripts..."; \
	for config in $$(echo $$stow_configs | sed "s/,/ /g"); do \
		if [ -f "$${HOME}/.local/stow-run.d/$${config}.sh" ]; then \
			echo "${RED}Running $${config}.sh ${NC}"; \
			~/.local/stow-run.d/$${config}.sh; \
		fi; \
	done; \

runconf: assert-config
	@echo "setting up..."; \
	echo "${RED}running configuration script for ${conf}...${NC}"; \
	if [ -f "$${HOME}/.local/stow-run.d/$${conf}.sh" ]; then \
		~/.local/stow-run.d/$${conf}.sh; \
	fi; \

###
# BEGIN: Boilerplate and makefile-target `help` and `list`:
###
# This causes `make help` and `make list` to publish all the make-target names
# to stdout.  This mostly works correctly even with usage of makefile-includes.
.PHONY: no_targets__ list
no_targets__:
_help-helper:
	@sh -c "\
	$(MAKE) -p no_targets__ | \
	awk -F':' '/^[a-zA-Z0-9][^\$$#\/\\t=]*:([^=]|$$)/ {split(\$$1,A,/ /);\
	for(i in A)print A[i]}' | grep -v '__\$$' | grep -v '\[' | sort"

help:
	$(call _announce_target, $@, listing makefile targets)
	@make _help-helper \
	| python3 -c"\
	import sys; \
	[print(x.strip()) for x in sys.stdin.readlines() \
	if x.strip() not in 'Makefile list fail i in not if else for'.split() \
	and not any([x.startswith(y) for y in 'NotImplementedError qassert assert range('.split()])]"


4 Likes

It should be noted that there is an actively maintained fork called paperless-ngx, which just got a 2.0 release.

3 Likes

I use this, it’s kickass.

1 Like

Kdenlive: is a powerful free and open source cross-platform video editing program

Multiplaftorm: Linux, Windows, Mac

4 Likes

Annotator: Draw arrows, blur, highlight and annotate screenshots in GNOME

GNOME’s screenshot mechanism is obtuse and silly, providing no flexibility and tools like flameshot don’t work on Wayland. gnome zealots don’t seem to be very interested in making it flexible like in other environments

Annotator is a tiny tool that is excellent for marking up screenshots, it’s easy, small and simple and i’m very impressed with it

4 Likes

Just found this awesome utility for veiwing GPU utilization: radeontop

quick demo with a my game and vsync ON vs OFF, with a RX 6750 XT :

Summary


(recorded with OBS, edited in kdenlive)

4 Likes

Can appreciate the simplistic UI. No flash, concise.

1 Like

I don’t see darktable on here and I should.

4 Likes

+1 for radeontop. I have it up all the time on one of my monitors.
BTW, you can toggle colored bars by pressing “C”. :slight_smile:

1 Like

oh neat! even better

Just a heads up, looks like The Simple Tools Suite has been sold to a company called ZipoApps, who are known to inject ads and tracking in other apps they have acquired.

Time to fork?

edit: In light of this unfortunate news, I rescind my previous recommendation of this suite. @vivante please remove Simple Tools from the list.

I am happy for the developer to make money, but its clear that ZipoApps is not to be trusted looking at their other apps and website. Their only goal is to acquire and take advantage of existing user bases. These apps will certainly be enshittified within the next few updates, and according to some recent reviews on the play store it’s already began. The “contains ads” tag has already been added to all the simple tools…
enshittification

2 Likes

I recently setup Stirling PDF, Jellyfin, MeTube, Airsonic, Calibre-Web, draw.io, Invidious, FreshRSS, and LibreTranslate.
I think those are all open source anyway, I might be wrong about that though…if I’m wrong then feel free to remove this post or whatever but I’ve been vibin’ on the homelab/self-hosted stuff lately and these have all been pretty great

1 Like

I really wish developers would adopt a business model centered around donations, Patreon contributions, or offering a premium version that maintains the same functionality but only costs a few Euros. I’m sad to see it go.

But then again, maybe it’s not enough to pay for the development.

2 Likes

Thanks,

I’m looking for apps/utilities in this thread, but those would be great contributions to self hosted thread.

1 Like

Freecad…

1 Like

Cnc/machine controller

1 Like

While it seems that Gnome is at war with its extensions ecosystem, I find there a a couple that make Gnome really work for me as a daily desktop.

I like:

  • “system-monitor” or, if you’re on the bleeding edge, “system-monitor-next” (updates quickly to any new version of gnome).
  • “Internet Radio” (although they seemingly have succumbed to gnomes relentless API updates)
  • “docker”, in case you want easy access to your docker containers/images
  • “Sound Input & Output Device Chooser” also succumbed to the latest API update, but offered the easiest way to switch between sound devices in Gnome.
2 Likes

Since the SMT suite has been killed by ZipoAPPS, the new fork is under FossifyX/FossifyOrg: Fossify · GitHub

Get in there if you want a vote on the new name:

1 Like

This link is floating around a couple threads already but might be worth adding to the end.

There is naturally some overlap between the tools mentioned here, and the ones in the “Awesome Privacy” repo.

4 Likes